package jedi.example;

public class ProjectEulerStaticClosureFactory {
	private static IProjectEulerClosureFactory $DELEGATE = new ProjectEulerClosureFactory();

	public static void setDelegate(IProjectEulerClosureFactory newDelegate) {
		jedi.assertion.Assert.assertNotNull(newDelegate, "newDelegate must not be null");
		$DELEGATE = newDelegate;
	}

	public static void useDefaultDelegate() {
		setDelegate(new ProjectEulerClosureFactory());
	}
	/**
	 * @see jedi.example.ProjectEuler#div
	 */
	public static  jedi.functional.Filter2<jedi.example.ProjectEuler, java.lang.Integer> divFilter2(final java.lang.Integer x) {
		return $DELEGATE.divFilter2(x);
	}
	/**
	 * @see jedi.example.ProjectEuler#div
	 */
	public static  jedi.functional.Filter<java.lang.Integer> divProxyFilter(final jedi.example.ProjectEuler $receiver, final java.lang.Integer y) {
		return $DELEGATE.divProxyFilter($receiver, y);
	}
	/**
	 * @see jedi.example.ProjectEuler#multiply
	 */
	public static  jedi.functional.Functor<jedi.example.ProjectEuler, java.lang.Integer> multiplyFunctor(final java.lang.Integer a, final java.lang.Integer b) {
		return $DELEGATE.multiplyFunctor(a, b);
	}
	/**
	 * @see jedi.example.ProjectEuler#multiply
	 */
	public static  jedi.functional.Functor2<java.lang.Integer, java.lang.Integer, java.lang.Integer> multiplyProxyFunctor2(final jedi.example.ProjectEuler $receiver) {
		return $DELEGATE.multiplyProxyFunctor2($receiver);
	}
	/**
	 * @see jedi.example.ProjectEuler#isPalindrome
	 */
	public static  jedi.functional.Filter<jedi.example.ProjectEuler> isPalindromeFilter(final java.lang.Integer x) {
		return $DELEGATE.isPalindromeFilter(x);
	}
	/**
	 * @see jedi.example.ProjectEuler#isPalindrome
	 */
	public static  jedi.functional.Filter<java.lang.Integer> isPalindromeProxyFilter(final jedi.example.ProjectEuler $receiver) {
		return $DELEGATE.isPalindromeProxyFilter($receiver);
	}
	/**
	 * @see jedi.example.ProjectEuler#sum
	 */
	public static  jedi.functional.Functor<jedi.example.ProjectEuler, java.lang.Integer> sumFunctor(final java.lang.Integer a, final java.lang.Integer b) {
		return $DELEGATE.sumFunctor(a, b);
	}
	/**
	 * @see jedi.example.ProjectEuler#sum
	 */
	public static  jedi.functional.Functor2<java.lang.Integer, java.lang.Integer, java.lang.Integer> sumProxyFunctor2(final jedi.example.ProjectEuler $receiver) {
		return $DELEGATE.sumProxyFunctor2($receiver);
	}
}
